END(7)

NAME
END - commit the current transaction

SYNOPSIS

END [ WORK | TRANSACTION ]

DESCRIPTION

END commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs. This command is a PostgreSQL extension that is equivalent to COMMIT [commit(7)].

PARAMETERS

WORK

TRANSACTION
    Optional key words. They have no effect.

NOTES

Use ROLLBACK [rollback(7)] to abort a transaction.

Issuing END when not inside a transaction does no harm, but it will provoke a warning message.

EXAMPLES

To commit the current transaction and make all changes permanent:

END;

COMPATIBILITY

END is a PostgreSQL extension that provides functionality equivalent to COMMIT [commit(7)], which is specified in the SQL standard.

SEE ALSO
BEGIN [begin(7)], COMMIT [commit(7)], ROLLBACK [rollback(7)]